package keymon.lat.medicomed;

import anywheresoftware.b4a.BA;
import anywheresoftware.b4a.pc.*;

public class c_clientes_subs_0 {


public static RemoteObject  _b_qr_click(RemoteObject __ref) throws Exception{
try {
		Debug.PushSubsStack("b_qr_Click (c_clientes) ","c_clientes",5,__ref.getField(false, "ba"),__ref,198);
if (RapidSub.canDelegate("b_qr_click")) { return __ref.runUserSub(false, "c_clientes","b_qr_click", __ref);}
RemoteObject _scan_width = RemoteObject.createImmutable(0);
RemoteObject _scan_height = RemoteObject.createImmutable(0);
 BA.debugLineNum = 198;BA.debugLine="Sub b_qr_Click";
Debug.ShouldStop(32);
 BA.debugLineNum = 199;BA.debugLine="Dim scan_width As Int";
Debug.ShouldStop(64);
_scan_width = RemoteObject.createImmutable(0);Debug.locals.put("scan_width", _scan_width);
 BA.debugLineNum = 200;BA.debugLine="Dim scan_height As Int";
Debug.ShouldStop(128);
_scan_height = RemoteObject.createImmutable(0);Debug.locals.put("scan_height", _scan_height);
 BA.debugLineNum = 201;BA.debugLine="scan_width = 400";
Debug.ShouldStop(256);
_scan_width = BA.numberCast(int.class, 400);Debug.locals.put("scan_width", _scan_width);
 BA.debugLineNum = 202;BA.debugLine="scan_height = 400";
Debug.ShouldStop(512);
_scan_height = BA.numberCast(int.class, 400);Debug.locals.put("scan_height", _scan_height);
 BA.debugLineNum = 203;BA.debugLine="End Sub";
Debug.ShouldStop(1024);
return RemoteObject.createImmutable("");
}
catch (Exception e) {
			throw Debug.ErrorCaught(e);
		} 
finally {
			Debug.PopSubsStack();
		}}
public static RemoteObject  _b4xpage_appear(RemoteObject __ref) throws Exception{
try {
		Debug.PushSubsStack("B4XPage_Appear (c_clientes) ","c_clientes",5,__ref.getField(false, "ba"),__ref,63);
if (RapidSub.canDelegate("b4xpage_appear")) { return __ref.runUserSub(false, "c_clientes","b4xpage_appear", __ref);}
RemoteObject _label1 = RemoteObject.declareNull("anywheresoftware.b4a.objects.LabelWrapper");
RemoteObject _label2 = RemoteObject.declareNull("anywheresoftware.b4a.objects.LabelWrapper");
int _i = 0;
 BA.debugLineNum = 63;BA.debugLine="Sub B4XPage_Appear";
Debug.ShouldStop(1073741824);
 BA.debugLineNum = 64;BA.debugLine="B4XPages.SetTitle(Me, $\"Clientes - ${Starter.dia_";
Debug.ShouldStop(-2147483648);
c_clientes._b4xpages.runVoidMethod ("_settitle" /*RemoteObject*/ ,__ref.getField(false, "ba"),(Object)(__ref),(Object)(((RemoteObject.concat(RemoteObject.createImmutable("Clientes - "),c_clientes.__c.runMethod(true,"SmartStringFormatter",(Object)(BA.ObjectToString("")),(Object)((c_clientes._starter._dia_semana /*RemoteObject*/ ))),RemoteObject.createImmutable(""))))));
 BA.debugLineNum = 65;BA.debugLine="busca.Text = \"\"";
Debug.ShouldStop(1);
__ref.getField(false,"_busca" /*RemoteObject*/ ).runMethodAndSync(true,"setText",BA.ObjectToCharSequence(""));
 BA.debugLineNum = 66;BA.debugLine="entro =\"2\"";
Debug.ShouldStop(2);
__ref.setField ("_entro" /*RemoteObject*/ ,BA.ObjectToString("2"));
 BA.debugLineNum = 67;BA.debugLine="colonia = 0";
Debug.ShouldStop(4);
__ref.setField ("_colonia" /*RemoteObject*/ ,BA.NumberToString(0));
 BA.debugLineNum = 68;BA.debugLine="c=B4XPages.MainPage.skmt.ExecQuery(\"select CAT_CL";
Debug.ShouldStop(8);
__ref.getField(false,"_c" /*RemoteObject*/ ).setObject (c_clientes._b4xpages.runMethod(false,"_mainpage" /*RemoteObject*/ ,__ref.getField(false, "ba")).getField(false,"_skmt" /*RemoteObject*/ ).runMethod(false,"ExecQuery",(Object)(RemoteObject.createImmutable("select CAT_CL_NOMBRE, CAT_CL_CALLE, CAT_CL_CODIGO, CAT_CL_NOEXT, CAT_CL_CALLE1, CAT_CL_SECUENCIA from kmt_info where  gestion = 0 ORDER BY CAT_CL_SECUENCIA, CAT_CL_CODIGO"))));
 BA.debugLineNum = 69;BA.debugLine="ListView1.Clear";
Debug.ShouldStop(16);
__ref.getField(false,"_listview1" /*RemoteObject*/ ).runVoidMethod ("Clear");
 BA.debugLineNum = 71;BA.debugLine="lfila.Text = \"NOMBRE\"";
Debug.ShouldStop(64);
__ref.getField(false,"_lfila" /*RemoteObject*/ ).runMethod(true,"setText",BA.ObjectToCharSequence("NOMBRE"));
 BA.debugLineNum = 72;BA.debugLine="If c.RowCount>0 Then";
Debug.ShouldStop(128);
if (RemoteObject.solveBoolean(">",__ref.getField(false,"_c" /*RemoteObject*/ ).runMethod(true,"getRowCount"),BA.numberCast(double.class, 0))) { 
 BA.debugLineNum = 73;BA.debugLine="c.Position= 0";
Debug.ShouldStop(256);
__ref.getField(false,"_c" /*RemoteObject*/ ).runMethod(true,"setPosition",BA.numberCast(int.class, 0));
 BA.debugLineNum = 74;BA.debugLine="la_cuenta.text = c.GetString(\"CAT_CL_CODIGO\")";
Debug.ShouldStop(512);
__ref.getField(false,"_la_cuenta" /*RemoteObject*/ ).runMethod(true,"setText",BA.ObjectToCharSequence(__ref.getField(false,"_c" /*RemoteObject*/ ).runMethod(true,"GetString",(Object)(RemoteObject.createImmutable("CAT_CL_CODIGO")))));
 BA.debugLineNum = 75;BA.debugLine="Log(\"La cuenta: --->\"&la_cuenta)";
Debug.ShouldStop(1024);
c_clientes.__c.runVoidMethod ("LogImpl","38454156",RemoteObject.concat(RemoteObject.createImmutable("La cuenta: --->"),__ref.getField(false,"_la_cuenta" /*RemoteObject*/ )),0);
 BA.debugLineNum = 76;BA.debugLine="Dim label1 As Label";
Debug.ShouldStop(2048);
_label1 = RemoteObject.createNew ("anywheresoftware.b4a.objects.LabelWrapper");Debug.locals.put("label1", _label1);
 BA.debugLineNum = 77;BA.debugLine="label1 = ListView1.TwoLinesLayout.Label";
Debug.ShouldStop(4096);
_label1 = __ref.getField(false,"_listview1" /*RemoteObject*/ ).runMethod(false,"getTwoLinesLayout").getField(false,"Label");Debug.locals.put("label1", _label1);
 BA.debugLineNum = 78;BA.debugLine="label1.TextSize = 14";
Debug.ShouldStop(8192);
_label1.runMethod(true,"setTextSize",BA.numberCast(float.class, 14));
 BA.debugLineNum = 79;BA.debugLine="label1.TextColor = Colors.Black";
Debug.ShouldStop(16384);
_label1.runMethod(true,"setTextColor",c_clientes.__c.getField(false,"Colors").getField(true,"Black"));
 BA.debugLineNum = 80;BA.debugLine="Dim label2 As Label";
Debug.ShouldStop(32768);
_label2 = RemoteObject.createNew ("anywheresoftware.b4a.objects.LabelWrapper");Debug.locals.put("label2", _label2);
 BA.debugLineNum = 81;BA.debugLine="label2 = ListView1.TwoLinesLayout.SecondLabel";
Debug.ShouldStop(65536);
_label2 = __ref.getField(false,"_listview1" /*RemoteObject*/ ).runMethod(false,"getTwoLinesLayout").getField(false,"SecondLabel");Debug.locals.put("label2", _label2);
 BA.debugLineNum = 82;BA.debugLine="label2.TextSize = 14";
Debug.ShouldStop(131072);
_label2.runMethod(true,"setTextSize",BA.numberCast(float.class, 14));
 BA.debugLineNum = 83;BA.debugLine="label2.TextColor = Colors.Black";
Debug.ShouldStop(262144);
_label2.runMethod(true,"setTextColor",c_clientes.__c.getField(false,"Colors").getField(true,"Black"));
 BA.debugLineNum = 84;BA.debugLine="label2.Height = 50dip";
Debug.ShouldStop(524288);
_label2.runMethod(true,"setHeight",c_clientes.__c.runMethod(true,"DipToCurrent",(Object)(BA.numberCast(int.class, 50))));
 BA.debugLineNum = 85;BA.debugLine="label2.Width = ListView1.Width * 0.99";
Debug.ShouldStop(1048576);
_label2.runMethod(true,"setWidth",BA.numberCast(int.class, RemoteObject.solve(new RemoteObject[] {__ref.getField(false,"_listview1" /*RemoteObject*/ ).runMethod(true,"getWidth"),RemoteObject.createImmutable(0.99)}, "*",0, 0)));
 BA.debugLineNum = 86;BA.debugLine="ListView1.TwoLinesLayout.ItemHeight = 85dip";
Debug.ShouldStop(2097152);
__ref.getField(false,"_listview1" /*RemoteObject*/ ).runMethod(false,"getTwoLinesLayout").runMethod(true,"setItemHeight",c_clientes.__c.runMethod(true,"DipToCurrent",(Object)(BA.numberCast(int.class, 85))));
 BA.debugLineNum = 87;BA.debugLine="For i=0 To c.RowCount -1";
Debug.ShouldStop(4194304);
{
final int step23 = 1;
final int limit23 = RemoteObject.solve(new RemoteObject[] {__ref.getField(false,"_c" /*RemoteObject*/ ).runMethod(true,"getRowCount"),RemoteObject.createImmutable(1)}, "-",1, 1).<Integer>get().intValue();
_i = 0 ;
for (;(step23 > 0 && _i <= limit23) || (step23 < 0 && _i >= limit23) ;_i = ((int)(0 + _i + step23))  ) {
Debug.locals.put("i", _i);
 BA.debugLineNum = 88;BA.debugLine="c.Position=i";
Debug.ShouldStop(8388608);
__ref.getField(false,"_c" /*RemoteObject*/ ).runMethod(true,"setPosition",BA.numberCast(int.class, _i));
 BA.debugLineNum = 91;BA.debugLine="ListView1.AddTwoLines(c.GetString(\"CAT_CL_CODIG";
Debug.ShouldStop(67108864);
__ref.getField(false,"_listview1" /*RemoteObject*/ ).runVoidMethod ("AddTwoLines",(Object)(BA.ObjectToCharSequence(RemoteObject.concat(__ref.getField(false,"_c" /*RemoteObject*/ ).runMethod(true,"GetString",(Object)(RemoteObject.createImmutable("CAT_CL_CODIGO"))),RemoteObject.createImmutable(" - "),__ref.getField(false,"_c" /*RemoteObject*/ ).runMethod(true,"GetString",(Object)(RemoteObject.createImmutable("CAT_CL_SECUENCIA")))))),(Object)(BA.ObjectToCharSequence(RemoteObject.concat(__ref.getField(false,"_c" /*RemoteObject*/ ).runMethod(true,"GetString",(Object)(RemoteObject.createImmutable("CAT_CL_NOMBRE"))),c_clientes.__c.getField(true,"CRLF"),__ref.getField(false,"_c" /*RemoteObject*/ ).runMethod(true,"GetString",(Object)(RemoteObject.createImmutable("CAT_CL_CALLE1")))))));
 }
}Debug.locals.put("i", _i);
;
 };
 BA.debugLineNum = 95;BA.debugLine="c.Close";
Debug.ShouldStop(1073741824);
__ref.getField(false,"_c" /*RemoteObject*/ ).runVoidMethod ("Close");
 BA.debugLineNum = 96;BA.debugLine="p_clientes.Height = Root.Height";
Debug.ShouldStop(-2147483648);
__ref.getField(false,"_p_clientes" /*RemoteObject*/ ).runMethod(true,"setHeight",__ref.getField(false,"_root" /*RemoteObject*/ ).runMethod(true,"getHeight"));
 BA.debugLineNum = 97;BA.debugLine="ListView1.Height = Root.Height * 0.75";
Debug.ShouldStop(1);
__ref.getField(false,"_listview1" /*RemoteObject*/ ).runMethod(true,"setHeight",BA.numberCast(int.class, RemoteObject.solve(new RemoteObject[] {__ref.getField(false,"_root" /*RemoteObject*/ ).runMethod(true,"getHeight"),RemoteObject.createImmutable(0.75)}, "*",0, 0)));
 BA.debugLineNum = 98;BA.debugLine="entro = \"4\"";
Debug.ShouldStop(2);
__ref.setField ("_entro" /*RemoteObject*/ ,BA.ObjectToString("4"));
 BA.debugLineNum = 99;BA.debugLine="End Sub";
Debug.ShouldStop(4);
return RemoteObject.createImmutable("");
}
catch (Exception e) {
			throw Debug.ErrorCaught(e);
		} 
finally {
			Debug.PopSubsStack();
		}}
public static RemoteObject  _b4xpage_closerequest(RemoteObject __ref) throws Exception{
try {
		Debug.PushSubsStack("B4XPage_CloseRequest (c_clientes) ","c_clientes",5,__ref.getField(false, "ba"),__ref,155);
if (RapidSub.canDelegate("b4xpage_closerequest")) { return __ref.runUserSub(false, "c_clientes","b4xpage_closerequest", __ref);}
ResumableSub_B4XPage_CloseRequest rsub = new ResumableSub_B4XPage_CloseRequest(null,__ref);
rsub.remoteResumableSub = anywheresoftware.b4a.pc.PCResumableSub.createDebugResumeSubForFilter();
rsub.resume(null, null);
return RemoteObject.declareNull("anywheresoftware.b4a.AbsObjectWrapper").runMethod(false, "ConvertToWrapper", RemoteObject.createNew("anywheresoftware.b4a.keywords.Common.ResumableSubWrapper"), rsub.remoteResumableSub);
}
catch (Exception e) {
			throw Debug.ErrorCaught(e);
		} 
finally {
			Debug.PopSubsStack();
		}}
public static class ResumableSub_B4XPage_CloseRequest extends BA.ResumableSub {
public ResumableSub_B4XPage_CloseRequest(keymon.lat.medicomed.c_clientes parent,RemoteObject __ref) {
this.parent = parent;
this.__ref = __ref;
}
java.util.LinkedHashMap<String, Object> rsLocals = new java.util.LinkedHashMap<String, Object>();
RemoteObject __ref;
keymon.lat.medicomed.c_clientes parent;

@Override
public void resume(BA ba, RemoteObject result) throws Exception{
try {
		Debug.PushSubsStack("B4XPage_CloseRequest (c_clientes) ","c_clientes",5,__ref.getField(false, "ba"),__ref,155);
Debug.locals = rsLocals;Debug.currentSubFrame.locals = rsLocals;

    while (true) {
        switch (state) {
            case -1:
{
parent.__c.runVoidMethod ("ReturnFromResumableSub",this.remoteResumableSub,RemoteObject.createImmutable(null));return;}
case 0:
//C
this.state = -1;
Debug.locals.put("_ref", __ref);
 BA.debugLineNum = 162;BA.debugLine="Return True";
Debug.ShouldStop(2);
if (true) {
parent.__c.runVoidMethod ("ReturnFromResumableSub",this.remoteResumableSub,(parent.__c.getField(true,"True")));return;};
 BA.debugLineNum = 163;BA.debugLine="End Sub";
Debug.ShouldStop(4);
if (true) break;

            }
        }
    }
catch (Exception e) {
			throw Debug.ErrorCaught(e);
		} 
finally {
			Debug.PopSubsStack();
		}}
}
public static RemoteObject  _b4xpage_created(RemoteObject __ref,RemoteObject _root1) throws Exception{
try {
		Debug.PushSubsStack("B4XPage_Created (c_clientes) ","c_clientes",5,__ref.getField(false, "ba"),__ref,40);
if (RapidSub.canDelegate("b4xpage_created")) { return __ref.runUserSub(false, "c_clientes","b4xpage_created", __ref, _root1);}
Debug.locals.put("Root1", _root1);
 BA.debugLineNum = 40;BA.debugLine="Private Sub B4XPage_Created (Root1 As B4XView)";
Debug.ShouldStop(128);
 BA.debugLineNum = 41;BA.debugLine="Root = Root1";
Debug.ShouldStop(256);
__ref.setField ("_root" /*RemoteObject*/ ,_root1);
 BA.debugLineNum = 43;BA.debugLine="Root.LoadLayout(\"clientes\")";
Debug.ShouldStop(1024);
__ref.getField(false,"_root" /*RemoteObject*/ ).runVoidMethodAndSync ("LoadLayout",(Object)(RemoteObject.createImmutable("clientes")),__ref.getField(false, "ba"));
 BA.debugLineNum = 45;BA.debugLine="entro =\"2\"";
Debug.ShouldStop(4096);
__ref.setField ("_entro" /*RemoteObject*/ ,BA.ObjectToString("2"));
 BA.debugLineNum = 50;BA.debugLine="ruta = File.DirInternal";
Debug.ShouldStop(131072);
__ref.setField ("_ruta" /*RemoteObject*/ ,c_clientes.__c.getField(false,"File").runMethod(true,"getDirInternal"));
 BA.debugLineNum = 57;BA.debugLine="If File.Exists(ruta, \"kmt.db\") = False Then";
Debug.ShouldStop(16777216);
if (RemoteObject.solveBoolean("=",c_clientes.__c.getField(false,"File").runMethod(true,"Exists",(Object)(__ref.getField(true,"_ruta" /*RemoteObject*/ )),(Object)(RemoteObject.createImmutable("kmt.db"))),c_clientes.__c.getField(true,"False"))) { 
 BA.debugLineNum = 58;BA.debugLine="File.Copy(File.DirAssets, \"kmt.db\", ruta, \"kmt.d";
Debug.ShouldStop(33554432);
c_clientes.__c.getField(false,"File").runVoidMethod ("Copy",(Object)(c_clientes.__c.getField(false,"File").runMethod(true,"getDirAssets")),(Object)(BA.ObjectToString("kmt.db")),(Object)(__ref.getField(true,"_ruta" /*RemoteObject*/ )),(Object)(RemoteObject.createImmutable("kmt.db")));
 };
 BA.debugLineNum = 60;BA.debugLine="qr.initialize";
Debug.ShouldStop(134217728);
__ref.getField(false,"_qr" /*RemoteObject*/ ).runVoidMethod ("initialize");
 BA.debugLineNum = 61;BA.debugLine="End Sub";
Debug.ShouldStop(268435456);
return RemoteObject.createImmutable("");
}
catch (Exception e) {
			throw Debug.ErrorCaught(e);
		} 
finally {
			Debug.PopSubsStack();
		}}
public static RemoteObject  _busca_textchanged(RemoteObject __ref,RemoteObject _old,RemoteObject _new) throws Exception{
try {
		Debug.PushSubsStack("BUSCA_TextChanged (c_clientes) ","c_clientes",5,__ref.getField(false, "ba"),__ref,165);
if (RapidSub.canDelegate("busca_textchanged")) { return __ref.runUserSub(false, "c_clientes","busca_textchanged", __ref, _old, _new);}
RemoteObject _label1 = RemoteObject.declareNull("anywheresoftware.b4a.objects.LabelWrapper");
RemoteObject _label2 = RemoteObject.declareNull("anywheresoftware.b4a.objects.LabelWrapper");
int _i = 0;
Debug.locals.put("Old", _old);
Debug.locals.put("New", _new);
 BA.debugLineNum = 165;BA.debugLine="Sub BUSCA_TextChanged (Old As String, New As Strin";
Debug.ShouldStop(16);
 BA.debugLineNum = 167;BA.debugLine="If Old <> \"\" And New <> \"\" Then";
Debug.ShouldStop(64);
if (RemoteObject.solveBoolean("!",_old,BA.ObjectToString("")) && RemoteObject.solveBoolean("!",_new,BA.ObjectToString(""))) { 
 BA.debugLineNum = 169;BA.debugLine="q_buscar = \"%\" & busca.Text & \"%\"";
Debug.ShouldStop(256);
__ref.setField ("_q_buscar" /*RemoteObject*/ ,RemoteObject.concat(RemoteObject.createImmutable("%"),__ref.getField(false,"_busca" /*RemoteObject*/ ).runMethod(true,"getText"),RemoteObject.createImmutable("%")));
 BA.debugLineNum = 170;BA.debugLine="c2=B4XPages.MainPage.skmt.ExecQuery2(\"select  CA";
Debug.ShouldStop(512);
__ref.getField(false,"_c2" /*RemoteObject*/ ).setObject (c_clientes._b4xpages.runMethod(false,"_mainpage" /*RemoteObject*/ ,__ref.getField(false, "ba")).getField(false,"_skmt" /*RemoteObject*/ ).runMethod(false,"ExecQuery2",(Object)(BA.ObjectToString("select  CAT_CL_NOMBRE, CAT_CL_CALLE, CAT_CL_CODIGO,CAT_CL_SECUENCIA, CAT_CL_CALLE1 from kmt_info where (CAT_CL_NOMBRE like ? OR CAT_CL_CODIGO LIKE ? OR CAT_CL_CALLE1 LIKE ?)and gestion = 0 order by CAT_CL_NOMBRE ")),(Object)(RemoteObject.createNewArray("String",new int[] {3},new Object[] {__ref.getField(true,"_q_buscar" /*RemoteObject*/ ),__ref.getField(true,"_q_buscar" /*RemoteObject*/ ),__ref.getField(true,"_q_buscar" /*RemoteObject*/ )}))));
 BA.debugLineNum = 171;BA.debugLine="ListView1.Clear";
Debug.ShouldStop(1024);
__ref.getField(false,"_listview1" /*RemoteObject*/ ).runVoidMethod ("Clear");
 BA.debugLineNum = 172;BA.debugLine="lfila.text = \"Nombre y Calle\"";
Debug.ShouldStop(2048);
__ref.getField(false,"_lfila" /*RemoteObject*/ ).runMethod(true,"setText",BA.ObjectToCharSequence("Nombre y Calle"));
 BA.debugLineNum = 174;BA.debugLine="If c2.RowCount > 0 Then";
Debug.ShouldStop(8192);
if (RemoteObject.solveBoolean(">",__ref.getField(false,"_c2" /*RemoteObject*/ ).runMethod(true,"getRowCount"),BA.numberCast(double.class, 0))) { 
 BA.debugLineNum = 175;BA.debugLine="Dim label1 As Label";
Debug.ShouldStop(16384);
_label1 = RemoteObject.createNew ("anywheresoftware.b4a.objects.LabelWrapper");Debug.locals.put("label1", _label1);
 BA.debugLineNum = 176;BA.debugLine="label1 = ListView1.TwoLinesLayout.Label";
Debug.ShouldStop(32768);
_label1 = __ref.getField(false,"_listview1" /*RemoteObject*/ ).runMethod(false,"getTwoLinesLayout").getField(false,"Label");Debug.locals.put("label1", _label1);
 BA.debugLineNum = 177;BA.debugLine="label1.TextSize = 14";
Debug.ShouldStop(65536);
_label1.runMethod(true,"setTextSize",BA.numberCast(float.class, 14));
 BA.debugLineNum = 178;BA.debugLine="label1.TextColor = Colors.DarkGray";
Debug.ShouldStop(131072);
_label1.runMethod(true,"setTextColor",c_clientes.__c.getField(false,"Colors").getField(true,"DarkGray"));
 BA.debugLineNum = 179;BA.debugLine="Dim label2 As Label";
Debug.ShouldStop(262144);
_label2 = RemoteObject.createNew ("anywheresoftware.b4a.objects.LabelWrapper");Debug.locals.put("label2", _label2);
 BA.debugLineNum = 180;BA.debugLine="label2 = ListView1.TwoLinesLayout.SecondLabel";
Debug.ShouldStop(524288);
_label2 = __ref.getField(false,"_listview1" /*RemoteObject*/ ).runMethod(false,"getTwoLinesLayout").getField(false,"SecondLabel");Debug.locals.put("label2", _label2);
 BA.debugLineNum = 181;BA.debugLine="label2.TextSize = 14";
Debug.ShouldStop(1048576);
_label2.runMethod(true,"setTextSize",BA.numberCast(float.class, 14));
 BA.debugLineNum = 182;BA.debugLine="label2.Height = 50dip";
Debug.ShouldStop(2097152);
_label2.runMethod(true,"setHeight",c_clientes.__c.runMethod(true,"DipToCurrent",(Object)(BA.numberCast(int.class, 50))));
 BA.debugLineNum = 183;BA.debugLine="label2.Width = ListView1.Width * 0.99";
Debug.ShouldStop(4194304);
_label2.runMethod(true,"setWidth",BA.numberCast(int.class, RemoteObject.solve(new RemoteObject[] {__ref.getField(false,"_listview1" /*RemoteObject*/ ).runMethod(true,"getWidth"),RemoteObject.createImmutable(0.99)}, "*",0, 0)));
 BA.debugLineNum = 184;BA.debugLine="label2.TextColor = Colors.DarkGray";
Debug.ShouldStop(8388608);
_label2.runMethod(true,"setTextColor",c_clientes.__c.getField(false,"Colors").getField(true,"DarkGray"));
 BA.debugLineNum = 186;BA.debugLine="For i=0 To c2.RowCount -1";
Debug.ShouldStop(33554432);
{
final int step17 = 1;
final int limit17 = RemoteObject.solve(new RemoteObject[] {__ref.getField(false,"_c2" /*RemoteObject*/ ).runMethod(true,"getRowCount"),RemoteObject.createImmutable(1)}, "-",1, 1).<Integer>get().intValue();
_i = 0 ;
for (;(step17 > 0 && _i <= limit17) || (step17 < 0 && _i >= limit17) ;_i = ((int)(0 + _i + step17))  ) {
Debug.locals.put("i", _i);
 BA.debugLineNum = 187;BA.debugLine="c2.Position=i";
Debug.ShouldStop(67108864);
__ref.getField(false,"_c2" /*RemoteObject*/ ).runMethod(true,"setPosition",BA.numberCast(int.class, _i));
 BA.debugLineNum = 190;BA.debugLine="ListView1.AddTwoLines(c2.GetString(\"CAT_CL_COD";
Debug.ShouldStop(536870912);
__ref.getField(false,"_listview1" /*RemoteObject*/ ).runVoidMethod ("AddTwoLines",(Object)(BA.ObjectToCharSequence(RemoteObject.concat(__ref.getField(false,"_c2" /*RemoteObject*/ ).runMethod(true,"GetString",(Object)(RemoteObject.createImmutable("CAT_CL_CODIGO"))),RemoteObject.createImmutable(" - "),__ref.getField(false,"_c2" /*RemoteObject*/ ).runMethod(true,"GetString",(Object)(RemoteObject.createImmutable("CAT_CL_SECUENCIA")))))),(Object)(BA.ObjectToCharSequence(RemoteObject.concat(__ref.getField(false,"_c2" /*RemoteObject*/ ).runMethod(true,"GetString",(Object)(RemoteObject.createImmutable("CAT_CL_NOMBRE"))),c_clientes.__c.getField(true,"CRLF"),__ref.getField(false,"_c2" /*RemoteObject*/ ).runMethod(true,"GetString",(Object)(RemoteObject.createImmutable("CAT_CL_CALLE1")))))));
 }
}Debug.locals.put("i", _i);
;
 };
 BA.debugLineNum = 193;BA.debugLine="entro = \"4\"";
Debug.ShouldStop(1);
__ref.setField ("_entro" /*RemoteObject*/ ,BA.ObjectToString("4"));
 BA.debugLineNum = 194;BA.debugLine="c2.Close";
Debug.ShouldStop(2);
__ref.getField(false,"_c2" /*RemoteObject*/ ).runVoidMethod ("Close");
 };
 BA.debugLineNum = 196;BA.debugLine="End Sub";
Debug.ShouldStop(8);
return RemoteObject.createImmutable("");
}
catch (Exception e) {
			throw Debug.ErrorCaught(e);
		} 
finally {
			Debug.PopSubsStack();
		}}
public static RemoteObject  _calc_ean_checksum(RemoteObject __ref,RemoteObject _number) throws Exception{
try {
		Debug.PushSubsStack("calc_ean_checksum (c_clientes) ","c_clientes",5,__ref.getField(false, "ba"),__ref,226);
if (RapidSub.canDelegate("calc_ean_checksum")) { return __ref.runUserSub(false, "c_clientes","calc_ean_checksum", __ref, _number);}
RemoteObject _i = RemoteObject.createImmutable(0);
RemoteObject _co = RemoteObject.createImmutable('\0');
RemoteObject _soma = RemoteObject.createImmutable(0);
RemoteObject _n = RemoteObject.createImmutable(0);
RemoteObject _digit = RemoteObject.createImmutable(0f);
Debug.locals.put("number", _number);
 BA.debugLineNum = 226;BA.debugLine="Sub calc_ean_checksum(number As String) As String";
Debug.ShouldStop(2);
 BA.debugLineNum = 227;BA.debugLine="Dim i As Int";
Debug.ShouldStop(4);
_i = RemoteObject.createImmutable(0);Debug.locals.put("i", _i);
 BA.debugLineNum = 228;BA.debugLine="Dim cO As Char";
Debug.ShouldStop(8);
_co = RemoteObject.createImmutable('\0');Debug.locals.put("cO", _co);
 BA.debugLineNum = 229;BA.debugLine="Dim soma As Int";
Debug.ShouldStop(16);
_soma = RemoteObject.createImmutable(0);Debug.locals.put("soma", _soma);
 BA.debugLineNum = 230;BA.debugLine="Dim n As Int";
Debug.ShouldStop(32);
_n = RemoteObject.createImmutable(0);Debug.locals.put("n", _n);
 BA.debugLineNum = 231;BA.debugLine="Dim digit As Float";
Debug.ShouldStop(64);
_digit = RemoteObject.createImmutable(0f);Debug.locals.put("digit", _digit);
 BA.debugLineNum = 232;BA.debugLine="soma = 0";
Debug.ShouldStop(128);
_soma = BA.numberCast(int.class, 0);Debug.locals.put("soma", _soma);
 BA.debugLineNum = 233;BA.debugLine="For i=0 To number.Length - 1";
Debug.ShouldStop(256);
{
final int step7 = 1;
final int limit7 = RemoteObject.solve(new RemoteObject[] {_number.runMethod(true,"length"),RemoteObject.createImmutable(1)}, "-",1, 1).<Integer>get().intValue();
_i = BA.numberCast(int.class, 0) ;
for (;(step7 > 0 && _i.<Integer>get().intValue() <= limit7) || (step7 < 0 && _i.<Integer>get().intValue() >= limit7) ;_i = RemoteObject.createImmutable((int)(0 + _i.<Integer>get().intValue() + step7))  ) {
Debug.locals.put("i", _i);
 BA.debugLineNum = 234;BA.debugLine="digit = number.SubString2(i,i+1)";
Debug.ShouldStop(512);
_digit = BA.numberCast(float.class, _number.runMethod(true,"substring",(Object)(_i),(Object)(RemoteObject.solve(new RemoteObject[] {_i,RemoteObject.createImmutable(1)}, "+",1, 1))));Debug.locals.put("digit", _digit);
 BA.debugLineNum = 235;BA.debugLine="n= digit * ((i Mod 2) * 2 + 1)";
Debug.ShouldStop(1024);
_n = BA.numberCast(int.class, RemoteObject.solve(new RemoteObject[] {_digit,(RemoteObject.solve(new RemoteObject[] {(RemoteObject.solve(new RemoteObject[] {_i,RemoteObject.createImmutable(2)}, "%",0, 1)),RemoteObject.createImmutable(2),RemoteObject.createImmutable(1)}, "*+",1, 1))}, "*",0, 0));Debug.locals.put("n", _n);
 BA.debugLineNum = 236;BA.debugLine="soma=soma+n";
Debug.ShouldStop(2048);
_soma = RemoteObject.solve(new RemoteObject[] {_soma,_n}, "+",1, 1);Debug.locals.put("soma", _soma);
 }
}Debug.locals.put("i", _i);
;
 BA.debugLineNum = 238;BA.debugLine="Return number & ( ( 10 - ( soma Mod 10 )) Mod 10";
Debug.ShouldStop(8192);
if (true) return RemoteObject.concat(_number,(RemoteObject.solve(new RemoteObject[] {(RemoteObject.solve(new RemoteObject[] {RemoteObject.createImmutable(10),(RemoteObject.solve(new RemoteObject[] {_soma,RemoteObject.createImmutable(10)}, "%",0, 1))}, "-",1, 1)),RemoteObject.createImmutable(10)}, "%",0, 1)));
 BA.debugLineNum = 239;BA.debugLine="End Sub";
Debug.ShouldStop(16384);
return RemoteObject.createImmutable("");
}
catch (Exception e) {
			throw Debug.ErrorCaught(e);
		} 
finally {
			Debug.PopSubsStack();
		}}
public static RemoteObject  _class_globals(RemoteObject __ref) throws Exception{
 //BA.debugLineNum = 6;BA.debugLine="Sub Class_Globals";
 //BA.debugLineNum = 7;BA.debugLine="Private Root As B4XView 'ignore";
c_clientes._root = RemoteObject.createNew ("anywheresoftware.b4a.objects.B4XViewWrapper");__ref.setField("_root",c_clientes._root);
 //BA.debugLineNum = 8;BA.debugLine="Private xui As XUI 'ignore";
c_clientes._xui = RemoteObject.createNew ("anywheresoftware.b4a.objects.B4XViewWrapper.XUI");__ref.setField("_xui",c_clientes._xui);
 //BA.debugLineNum = 11;BA.debugLine="Dim c As Cursor";
c_clientes._c = RemoteObject.createNew ("anywheresoftware.b4a.sql.SQL.CursorWrapper");__ref.setField("_c",c_clientes._c);
 //BA.debugLineNum = 12;BA.debugLine="Dim c2 As Cursor";
c_clientes._c2 = RemoteObject.createNew ("anywheresoftware.b4a.sql.SQL.CursorWrapper");__ref.setField("_c2",c_clientes._c2);
 //BA.debugLineNum = 13;BA.debugLine="Dim s As Cursor";
c_clientes._s = RemoteObject.createNew ("anywheresoftware.b4a.sql.SQL.CursorWrapper");__ref.setField("_s",c_clientes._s);
 //BA.debugLineNum = 14;BA.debugLine="Dim ListView1 As ListView";
c_clientes._listview1 = RemoteObject.createNew ("anywheresoftware.b4a.objects.ListViewWrapper");__ref.setField("_listview1",c_clientes._listview1);
 //BA.debugLineNum = 15;BA.debugLine="Dim entro As String";
c_clientes._entro = RemoteObject.createImmutable("");__ref.setField("_entro",c_clientes._entro);
 //BA.debugLineNum = 16;BA.debugLine="Dim gest As Button";
c_clientes._gest = RemoteObject.createNew ("anywheresoftware.b4a.objects.ButtonWrapper");__ref.setField("_gest",c_clientes._gest);
 //BA.debugLineNum = 17;BA.debugLine="Dim lfila As Label";
c_clientes._lfila = RemoteObject.createNew ("anywheresoftware.b4a.objects.LabelWrapper");__ref.setField("_lfila",c_clientes._lfila);
 //BA.debugLineNum = 18;BA.debugLine="Dim busca As EditText";
c_clientes._busca = RemoteObject.createNew ("anywheresoftware.b4a.objects.EditTextWrapper");__ref.setField("_busca",c_clientes._busca);
 //BA.debugLineNum = 19;BA.debugLine="Dim colonia As String";
c_clientes._colonia = RemoteObject.createImmutable("");__ref.setField("_colonia",c_clientes._colonia);
 //BA.debugLineNum = 20;BA.debugLine="Private b_qr As Button";
c_clientes._b_qr = RemoteObject.createNew ("anywheresoftware.b4a.objects.ButtonWrapper");__ref.setField("_b_qr",c_clientes._b_qr);
 //BA.debugLineNum = 21;BA.debugLine="Private qr As QRCode";
c_clientes._qr = RemoteObject.createNew ("com.inforpires.baQRCode.baQRCode");__ref.setField("_qr",c_clientes._qr);
 //BA.debugLineNum = 23;BA.debugLine="Dim CODIGO As String";
c_clientes._codigo = RemoteObject.createImmutable("");__ref.setField("_codigo",c_clientes._codigo);
 //BA.debugLineNum = 24;BA.debugLine="Dim STIME As String";
c_clientes._stime = RemoteObject.createImmutable("");__ref.setField("_stime",c_clientes._stime);
 //BA.debugLineNum = 27;BA.debugLine="Dim ruta As String";
c_clientes._ruta = RemoteObject.createImmutable("");__ref.setField("_ruta",c_clientes._ruta);
 //BA.debugLineNum = 28;BA.debugLine="Dim q_buscar As String";
c_clientes._q_buscar = RemoteObject.createImmutable("");__ref.setField("_q_buscar",c_clientes._q_buscar);
 //BA.debugLineNum = 29;BA.debugLine="Private p_clientes As Panel";
c_clientes._p_clientes = RemoteObject.createNew ("anywheresoftware.b4a.objects.PanelWrapper");__ref.setField("_p_clientes",c_clientes._p_clientes);
 //BA.debugLineNum = 30;BA.debugLine="Dim la_cuenta As Label";
c_clientes._la_cuenta = RemoteObject.createNew ("anywheresoftware.b4a.objects.LabelWrapper");__ref.setField("_la_cuenta",c_clientes._la_cuenta);
 //BA.debugLineNum = 32;BA.debugLine="End Sub";
return RemoteObject.createImmutable("");
}
public static RemoteObject  _initialize(RemoteObject __ref,RemoteObject _ba) throws Exception{
try {
		Debug.PushSubsStack("Initialize (c_clientes) ","c_clientes",5,__ref.getField(false, "ba"),__ref,35);
if (RapidSub.canDelegate("initialize")) { return __ref.runUserSub(false, "c_clientes","initialize", __ref, _ba);}
__ref.runVoidMethodAndSync("innerInitializeHelper", _ba);
Debug.locals.put("ba", _ba);
 BA.debugLineNum = 35;BA.debugLine="Public Sub Initialize As Object";
Debug.ShouldStop(4);
 BA.debugLineNum = 36;BA.debugLine="Return Me";
Debug.ShouldStop(8);
if (true) return __ref;
 BA.debugLineNum = 37;BA.debugLine="End Sub";
Debug.ShouldStop(16);
return RemoteObject.createImmutable(null);
}
catch (Exception e) {
			throw Debug.ErrorCaught(e);
		} 
finally {
			Debug.PopSubsStack();
		}}
public static RemoteObject  _listview1_itemclick(RemoteObject __ref,RemoteObject _position,RemoteObject _value) throws Exception{
try {
		Debug.PushSubsStack("ListView1_ItemClick (c_clientes) ","c_clientes",5,__ref.getField(false, "ba"),__ref,101);
if (RapidSub.canDelegate("listview1_itemclick")) { return __ref.runUserSub(false, "c_clientes","listview1_itemclick", __ref, _position, _value);}
RemoteObject _value2 = null;
int _i = 0;
Debug.locals.put("Position", _position);
Debug.locals.put("Value", _value);
 BA.debugLineNum = 101;BA.debugLine="Sub ListView1_ItemClick (Position As Int, Value As";
Debug.ShouldStop(16);
 BA.debugLineNum = 102;BA.debugLine="Private value2() As String  = Regex.Split(\" - \",";
Debug.ShouldStop(32);
_value2 = c_clientes.__c.getField(false,"Regex").runMethod(false,"Split",(Object)(BA.ObjectToString(" - ")),(Object)(BA.ObjectToString(_value)));Debug.locals.put("value2", _value2);Debug.locals.put("value2", _value2);
 BA.debugLineNum = 104;BA.debugLine="If colonia = 0 Then";
Debug.ShouldStop(128);
if (RemoteObject.solveBoolean("=",__ref.getField(true,"_colonia" /*RemoteObject*/ ),BA.NumberToString(0))) { 
 BA.debugLineNum = 105;BA.debugLine="colonia = value2(0)";
Debug.ShouldStop(256);
__ref.setField ("_colonia" /*RemoteObject*/ ,_value2.getArrayElement(true,BA.numberCast(int.class, 0)));
 };
 BA.debugLineNum = 108;BA.debugLine="Log(\"-------------------------------\" & value2(0)";
Debug.ShouldStop(2048);
c_clientes.__c.runVoidMethod ("LogImpl","38519687",RemoteObject.concat(RemoteObject.createImmutable("-------------------------------"),_value2.getArrayElement(true,BA.numberCast(int.class, 0))),0);
 BA.debugLineNum = 110;BA.debugLine="If entro = \"2\" Then";
Debug.ShouldStop(8192);
if (RemoteObject.solveBoolean("=",__ref.getField(true,"_entro" /*RemoteObject*/ ),BA.ObjectToString("2"))) { 
 BA.debugLineNum = 111;BA.debugLine="c2=B4XPages.MainPage.skmt.ExecQuery2(\"select CAT";
Debug.ShouldStop(16384);
__ref.getField(false,"_c2" /*RemoteObject*/ ).setObject (c_clientes._b4xpages.runMethod(false,"_mainpage" /*RemoteObject*/ ,__ref.getField(false, "ba")).getField(false,"_skmt" /*RemoteObject*/ ).runMethod(false,"ExecQuery2",(Object)(BA.ObjectToString("select CAT_CL_CALLE, CAT_CL_COLONIA, count(*) as cuantos from kmt_info where gestion = 0 and CAT_CL_COLONIA = ? GROUP BY CAT_CL_CALLE, CAT_CL_COLONIA order by CAT_CL_CALLE ")),(Object)(RemoteObject.createNewArray("String",new int[] {1},new Object[] {_value2.getArrayElement(true,BA.numberCast(int.class, 0))}))));
 BA.debugLineNum = 112;BA.debugLine="ListView1.Clear";
Debug.ShouldStop(32768);
__ref.getField(false,"_listview1" /*RemoteObject*/ ).runVoidMethod ("Clear");
 BA.debugLineNum = 113;BA.debugLine="lfila.text = \"Calle\"";
Debug.ShouldStop(65536);
__ref.getField(false,"_lfila" /*RemoteObject*/ ).runMethod(true,"setText",BA.ObjectToCharSequence("Calle"));
 BA.debugLineNum = 114;BA.debugLine="If c2.RowCount>0 Then";
Debug.ShouldStop(131072);
if (RemoteObject.solveBoolean(">",__ref.getField(false,"_c2" /*RemoteObject*/ ).runMethod(true,"getRowCount"),BA.numberCast(double.class, 0))) { 
 BA.debugLineNum = 115;BA.debugLine="For i=0 To c2.RowCount -1";
Debug.ShouldStop(262144);
{
final int step11 = 1;
final int limit11 = RemoteObject.solve(new RemoteObject[] {__ref.getField(false,"_c2" /*RemoteObject*/ ).runMethod(true,"getRowCount"),RemoteObject.createImmutable(1)}, "-",1, 1).<Integer>get().intValue();
_i = 0 ;
for (;(step11 > 0 && _i <= limit11) || (step11 < 0 && _i >= limit11) ;_i = ((int)(0 + _i + step11))  ) {
Debug.locals.put("i", _i);
 BA.debugLineNum = 116;BA.debugLine="c2.Position=i";
Debug.ShouldStop(524288);
__ref.getField(false,"_c2" /*RemoteObject*/ ).runMethod(true,"setPosition",BA.numberCast(int.class, _i));
 BA.debugLineNum = 117;BA.debugLine="ListView1.AddTwoLines(c2.GetString(\"CAT_CL_CAL";
Debug.ShouldStop(1048576);
__ref.getField(false,"_listview1" /*RemoteObject*/ ).runVoidMethod ("AddTwoLines",(Object)(BA.ObjectToCharSequence(__ref.getField(false,"_c2" /*RemoteObject*/ ).runMethod(true,"GetString",(Object)(RemoteObject.createImmutable("CAT_CL_CALLE"))))),(Object)(BA.ObjectToCharSequence(__ref.getField(false,"_c2" /*RemoteObject*/ ).runMethod(true,"GetString",(Object)(RemoteObject.createImmutable("cuantos"))))));
 }
}Debug.locals.put("i", _i);
;
 };
 BA.debugLineNum = 120;BA.debugLine="entro = \"3\"";
Debug.ShouldStop(8388608);
__ref.setField ("_entro" /*RemoteObject*/ ,BA.ObjectToString("3"));
 }else 
{ BA.debugLineNum = 121;BA.debugLine="Else If entro = \"3\" Then";
Debug.ShouldStop(16777216);
if (RemoteObject.solveBoolean("=",__ref.getField(true,"_entro" /*RemoteObject*/ ),BA.ObjectToString("3"))) { 
 BA.debugLineNum = 122;BA.debugLine="c2=B4XPages.MainPage.skmt.ExecQuery2(\"select  CA";
Debug.ShouldStop(33554432);
__ref.getField(false,"_c2" /*RemoteObject*/ ).setObject (c_clientes._b4xpages.runMethod(false,"_mainpage" /*RemoteObject*/ ,__ref.getField(false, "ba")).getField(false,"_skmt" /*RemoteObject*/ ).runMethod(false,"ExecQuery2",(Object)(BA.ObjectToString("select  CAT_CL_NOMBRE, CAT_CL_CALLE, CAT_CL_CODIGO from kmt_info where  gestion = 0 and  CAT_CL_CALLE = ? AND CAT_CL_COLONIA = ? order by CAT_CL_NOMBRE ")),(Object)(RemoteObject.createNewArray("String",new int[] {2},new Object[] {_value2.getArrayElement(true,BA.numberCast(int.class, 0)),__ref.getField(true,"_colonia" /*RemoteObject*/ )}))));
 BA.debugLineNum = 123;BA.debugLine="ListView1.Clear";
Debug.ShouldStop(67108864);
__ref.getField(false,"_listview1" /*RemoteObject*/ ).runVoidMethod ("Clear");
 BA.debugLineNum = 124;BA.debugLine="lfila.text = \"Nombre\"";
Debug.ShouldStop(134217728);
__ref.getField(false,"_lfila" /*RemoteObject*/ ).runMethod(true,"setText",BA.ObjectToCharSequence("Nombre"));
 BA.debugLineNum = 125;BA.debugLine="If c2.RowCount>0 Then";
Debug.ShouldStop(268435456);
if (RemoteObject.solveBoolean(">",__ref.getField(false,"_c2" /*RemoteObject*/ ).runMethod(true,"getRowCount"),BA.numberCast(double.class, 0))) { 
 BA.debugLineNum = 126;BA.debugLine="For i=0 To c2.RowCount -1";
Debug.ShouldStop(536870912);
{
final int step22 = 1;
final int limit22 = RemoteObject.solve(new RemoteObject[] {__ref.getField(false,"_c2" /*RemoteObject*/ ).runMethod(true,"getRowCount"),RemoteObject.createImmutable(1)}, "-",1, 1).<Integer>get().intValue();
_i = 0 ;
for (;(step22 > 0 && _i <= limit22) || (step22 < 0 && _i >= limit22) ;_i = ((int)(0 + _i + step22))  ) {
Debug.locals.put("i", _i);
 BA.debugLineNum = 127;BA.debugLine="c2.Position=i";
Debug.ShouldStop(1073741824);
__ref.getField(false,"_c2" /*RemoteObject*/ ).runMethod(true,"setPosition",BA.numberCast(int.class, _i));
 BA.debugLineNum = 128;BA.debugLine="ListView1.AddTwoLines(c2.GetString(\"CAT_CL_COD";
Debug.ShouldStop(-2147483648);
__ref.getField(false,"_listview1" /*RemoteObject*/ ).runVoidMethod ("AddTwoLines",(Object)(BA.ObjectToCharSequence(__ref.getField(false,"_c2" /*RemoteObject*/ ).runMethod(true,"GetString",(Object)(RemoteObject.createImmutable("CAT_CL_CODIGO"))))),(Object)(BA.ObjectToCharSequence(__ref.getField(false,"_c2" /*RemoteObject*/ ).runMethod(true,"GetString",(Object)(RemoteObject.createImmutable("CAT_CL_NOMBRE"))))));
 }
}Debug.locals.put("i", _i);
;
 };
 BA.debugLineNum = 131;BA.debugLine="entro = \"4\"";
Debug.ShouldStop(4);
__ref.setField ("_entro" /*RemoteObject*/ ,BA.ObjectToString("4"));
 }else 
{ BA.debugLineNum = 132;BA.debugLine="Else If entro = \"4\" Then";
Debug.ShouldStop(8);
if (RemoteObject.solveBoolean("=",__ref.getField(true,"_entro" /*RemoteObject*/ ),BA.ObjectToString("4"))) { 
 BA.debugLineNum = 133;BA.debugLine="B4XPages.MainPage.skmt.ExecNonQuery(\"delete from";
Debug.ShouldStop(16);
c_clientes._b4xpages.runMethod(false,"_mainpage" /*RemoteObject*/ ,__ref.getField(false, "ba")).getField(false,"_skmt" /*RemoteObject*/ ).runVoidMethod ("ExecNonQuery",(Object)(RemoteObject.createImmutable("delete from CUENTAA")));
 BA.debugLineNum = 134;BA.debugLine="B4XPages.MainPage.skmt.ExecNonQuery2(\"INSERT INT";
Debug.ShouldStop(32);
c_clientes._b4xpages.runMethod(false,"_mainpage" /*RemoteObject*/ ,__ref.getField(false, "ba")).getField(false,"_skmt" /*RemoteObject*/ ).runVoidMethod ("ExecNonQuery2",(Object)(BA.ObjectToString("INSERT INTO CUENTAA VALUES (?)")),(Object)(c_clientes.__c.runMethod(false, "ArrayToList", (Object)(RemoteObject.createNewArray("Object",new int[] {1},new Object[] {(_value2.getArrayElement(true,BA.numberCast(int.class, 0)))})))));
 BA.debugLineNum = 135;BA.debugLine="DateTime.TimeFormat = \"HHmmss\"";
Debug.ShouldStop(64);
c_clientes.__c.getField(false,"DateTime").runMethod(true,"setTimeFormat",BA.ObjectToString("HHmmss"));
 BA.debugLineNum = 136;BA.debugLine="STIME=DateTime.Time(DateTime.Now)";
Debug.ShouldStop(128);
__ref.setField ("_stime" /*RemoteObject*/ ,c_clientes.__c.getField(false,"DateTime").runMethod(true,"Time",(Object)(c_clientes.__c.getField(false,"DateTime").runMethod(true,"getNow"))));
 BA.debugLineNum = 138;BA.debugLine="s=B4XPages.MainPage.skmt.ExecQuery2(\"SELECT COUN";
Debug.ShouldStop(512);
__ref.getField(false,"_s" /*RemoteObject*/ ).setObject (c_clientes._b4xpages.runMethod(false,"_mainpage" /*RemoteObject*/ ,__ref.getField(false, "ba")).getField(false,"_skmt" /*RemoteObject*/ ).runMethod(false,"ExecQuery2",(Object)(BA.ObjectToString("SELECT COUNT(*) AS CUANTOS FROM HIST_STAY_STORE WHERE HSS_IN = ? AND HSS_CODIGO In (select cuenta from cuentaa)")),(Object)(RemoteObject.createNewArray("String",new int[] {1},new Object[] {RemoteObject.createImmutable("0")}))));
 BA.debugLineNum = 139;BA.debugLine="s.Position = 0";
Debug.ShouldStop(1024);
__ref.getField(false,"_s" /*RemoteObject*/ ).runMethod(true,"setPosition",BA.numberCast(int.class, 0));
 BA.debugLineNum = 140;BA.debugLine="If s.GetString(\"CUANTOS\") = 1 Then";
Debug.ShouldStop(2048);
if (RemoteObject.solveBoolean("=",__ref.getField(false,"_s" /*RemoteObject*/ ).runMethod(true,"GetString",(Object)(RemoteObject.createImmutable("CUANTOS"))),BA.NumberToString(1))) { 
 BA.debugLineNum = 141;BA.debugLine="B4XPages.MainPage.skmt.ExecNonQuery2(\"UPDATE HI";
Debug.ShouldStop(4096);
c_clientes._b4xpages.runMethod(false,"_mainpage" /*RemoteObject*/ ,__ref.getField(false, "ba")).getField(false,"_skmt" /*RemoteObject*/ ).runVoidMethod ("ExecNonQuery2",(Object)(BA.ObjectToString("UPDATE HIST_STAY_STORE set HSS_IN = ?  where HSS_IN = 0 AND HSS_CODIGO In (select cuenta from cuentaa)")),(Object)(c_clientes.__c.runMethod(false, "ArrayToList", (Object)(RemoteObject.createNewArray("Object",new int[] {1},new Object[] {(__ref.getField(true,"_stime" /*RemoteObject*/ ))})))));
 }else {
 BA.debugLineNum = 143;BA.debugLine="B4XPages.MainPage.skmt.ExecNonQuery2(\"INSERT IN";
Debug.ShouldStop(16384);
c_clientes._b4xpages.runMethod(false,"_mainpage" /*RemoteObject*/ ,__ref.getField(false, "ba")).getField(false,"_skmt" /*RemoteObject*/ ).runVoidMethod ("ExecNonQuery2",(Object)(BA.ObjectToString("INSERT INTO HIST_STAY_STORE(HSS_CODIGO,  HSS_IN , HSS_OUT , HSS_TOT) VALUES (?,0,0,0)")),(Object)(c_clientes.__c.runMethod(false, "ArrayToList", (Object)(RemoteObject.createNewArray("Object",new int[] {1},new Object[] {(_value2.getArrayElement(true,BA.numberCast(int.class, 0)))})))));
 BA.debugLineNum = 144;BA.debugLine="B4XPages.MainPage.skmt.ExecNonQuery2(\"UPDATE HI";
Debug.ShouldStop(32768);
c_clientes._b4xpages.runMethod(false,"_mainpage" /*RemoteObject*/ ,__ref.getField(false, "ba")).getField(false,"_skmt" /*RemoteObject*/ ).runVoidMethod ("ExecNonQuery2",(Object)(BA.ObjectToString("UPDATE HIST_STAY_STORE set HSS_IN = ?  where HSS_IN = 0 AND HSS_CODIGO In (select cuenta from cuentaa)")),(Object)(c_clientes.__c.runMethod(false, "ArrayToList", (Object)(RemoteObject.createNewArray("Object",new int[] {1},new Object[] {(__ref.getField(true,"_stime" /*RemoteObject*/ ))})))));
 };
 BA.debugLineNum = 146;BA.debugLine="B4XPages.MainPage.skmt.ExecNonQuery2(\"UPDATE HIS";
Debug.ShouldStop(131072);
c_clientes._b4xpages.runMethod(false,"_mainpage" /*RemoteObject*/ ,__ref.getField(false, "ba")).getField(false,"_skmt" /*RemoteObject*/ ).runVoidMethod ("ExecNonQuery2",(Object)(BA.ObjectToString("UPDATE HIST_STAY_OUT set HSO_INI = ?  where HSO_INI = 0 ")),(Object)(c_clientes.__c.runMethod(false, "ArrayToList", (Object)(RemoteObject.createNewArray("Object",new int[] {1},new Object[] {(__ref.getField(true,"_stime" /*RemoteObject*/ ))})))));
 BA.debugLineNum = 147;BA.debugLine="DateTime.TimeFormat = \"HH:mm:ss\"";
Debug.ShouldStop(262144);
c_clientes.__c.getField(false,"DateTime").runMethod(true,"setTimeFormat",BA.ObjectToString("HH:mm:ss"));
 BA.debugLineNum = 149;BA.debugLine="Subs.guardaClienteHoraInicio(value2(0))";
Debug.ShouldStop(1048576);
c_clientes._subs.runVoidMethod ("_guardaclientehorainicio" /*RemoteObject*/ ,__ref.getField(false, "ba"),(Object)(_value2.getArrayElement(true,BA.numberCast(int.class, 0))));
 BA.debugLineNum = 151;BA.debugLine="B4XPages.ShowPage(\"Cliente\")";
Debug.ShouldStop(4194304);
c_clientes._b4xpages.runVoidMethod ("_showpage" /*RemoteObject*/ ,__ref.getField(false, "ba"),(Object)(RemoteObject.createImmutable("Cliente")));
 }}}
;
 BA.debugLineNum = 153;BA.debugLine="End Sub";
Debug.ShouldStop(16777216);
return RemoteObject.createImmutable("");
}
catch (Exception e) {
			throw Debug.ErrorCaught(e);
		} 
finally {
			Debug.PopSubsStack();
		}}
public static RemoteObject  _mods(RemoteObject __ref) throws Exception{
try {
		Debug.PushSubsStack("Mods (c_clientes) ","c_clientes",5,__ref.getField(false, "ba"),__ref,1);
if (RapidSub.canDelegate("mods")) { return __ref.runUserSub(false, "c_clientes","mods", __ref);}
 BA.debugLineNum = 1;BA.debugLine="Sub Mods";
Debug.ShouldStop(1);
 BA.debugLineNum = 4;BA.debugLine="End Sub";
Debug.ShouldStop(8);
return RemoteObject.createImmutable("");
}
catch (Exception e) {
			throw Debug.ErrorCaught(e);
		} 
finally {
			Debug.PopSubsStack();
		}}
public static RemoteObject  _p_clientes_click(RemoteObject __ref) throws Exception{
try {
		Debug.PushSubsStack("p_clientes_Click (c_clientes) ","c_clientes",5,__ref.getField(false, "ba"),__ref,243);
if (RapidSub.canDelegate("p_clientes_click")) { return __ref.runUserSub(false, "c_clientes","p_clientes_click", __ref);}
 BA.debugLineNum = 243;BA.debugLine="Private Sub p_clientes_Click";
Debug.ShouldStop(262144);
 BA.debugLineNum = 245;BA.debugLine="End Sub";
Debug.ShouldStop(1048576);
return RemoteObject.createImmutable("");
}
catch (Exception e) {
			throw Debug.ErrorCaught(e);
		} 
finally {
			Debug.PopSubsStack();
		}}
public static RemoteObject  _sc_noscan(RemoteObject __ref) throws Exception{
try {
		Debug.PushSubsStack("sc_noScan (c_clientes) ","c_clientes",5,__ref.getField(false, "ba"),__ref,222);
if (RapidSub.canDelegate("sc_noscan")) { return __ref.runUserSub(false, "c_clientes","sc_noscan", __ref);}
 BA.debugLineNum = 222;BA.debugLine="Sub sc_noScan";
Debug.ShouldStop(536870912);
 BA.debugLineNum = 223;BA.debugLine="Log(\"nothing returned from the scan !!!!!\")";
Debug.ShouldStop(1073741824);
c_clientes.__c.runVoidMethod ("LogImpl","38847361",RemoteObject.createImmutable("nothing returned from the scan !!!!!"),0);
 BA.debugLineNum = 224;BA.debugLine="End Sub";
Debug.ShouldStop(-2147483648);
return RemoteObject.createImmutable("");
}
catch (Exception e) {
			throw Debug.ErrorCaught(e);
		} 
finally {
			Debug.PopSubsStack();
		}}
public static RemoteObject  _sc_result(RemoteObject __ref,RemoteObject _atype,RemoteObject _values) throws Exception{
try {
		Debug.PushSubsStack("sc_result (c_clientes) ","c_clientes",5,__ref.getField(false, "ba"),__ref,205);
if (RapidSub.canDelegate("sc_result")) { return __ref.runUserSub(false, "c_clientes","sc_result", __ref, _atype, _values);}
Debug.locals.put("atype", _atype);
Debug.locals.put("Values", _values);
 BA.debugLineNum = 205;BA.debugLine="Sub sc_result(atype As String,Values As String)";
Debug.ShouldStop(4096);
 BA.debugLineNum = 206;BA.debugLine="CODIGO = Values";
Debug.ShouldStop(8192);
__ref.setField ("_codigo" /*RemoteObject*/ ,_values);
 BA.debugLineNum = 207;BA.debugLine="c2=B4XPages.MainPage.skmt.ExecQuery2(\"select   CO";
Debug.ShouldStop(16384);
__ref.getField(false,"_c2" /*RemoteObject*/ ).setObject (c_clientes._b4xpages.runMethod(false,"_mainpage" /*RemoteObject*/ ,__ref.getField(false, "ba")).getField(false,"_skmt" /*RemoteObject*/ ).runMethod(false,"ExecQuery2",(Object)(BA.ObjectToString("select   COUNT(*) AS ENCONTRADO from kmt_info where CAT_CL_NUM_SERIEFISICO = ?  order by CAT_CL_NOMBRE ")),(Object)(RemoteObject.createNewArray("String",new int[] {1},new Object[] {__ref.getField(true,"_codigo" /*RemoteObject*/ )}))));
 BA.debugLineNum = 208;BA.debugLine="c2.Position =0";
Debug.ShouldStop(32768);
__ref.getField(false,"_c2" /*RemoteObject*/ ).runMethod(true,"setPosition",BA.numberCast(int.class, 0));
 BA.debugLineNum = 209;BA.debugLine="If c2.GetString(\"ENCONTRADO\") > 0 Then";
Debug.ShouldStop(65536);
if (RemoteObject.solveBoolean(">",BA.numberCast(double.class, __ref.getField(false,"_c2" /*RemoteObject*/ ).runMethod(true,"GetString",(Object)(RemoteObject.createImmutable("ENCONTRADO")))),BA.numberCast(double.class, 0))) { 
 BA.debugLineNum = 210;BA.debugLine="s=B4XPages.MainPage.skmt.ExecQuery2(\"select   CA";
Debug.ShouldStop(131072);
__ref.getField(false,"_s" /*RemoteObject*/ ).setObject (c_clientes._b4xpages.runMethod(false,"_mainpage" /*RemoteObject*/ ,__ref.getField(false, "ba")).getField(false,"_skmt" /*RemoteObject*/ ).runMethod(false,"ExecQuery2",(Object)(BA.ObjectToString("select   CAT_CL_CODIGO from kmt_info where CAT_CL_NUM_SERIEFISICO = ?  order by CAT_CL_NOMBRE ")),(Object)(RemoteObject.createNewArray("String",new int[] {1},new Object[] {__ref.getField(true,"_codigo" /*RemoteObject*/ )}))));
 BA.debugLineNum = 211;BA.debugLine="s.Position =0";
Debug.ShouldStop(262144);
__ref.getField(false,"_s" /*RemoteObject*/ ).runMethod(true,"setPosition",BA.numberCast(int.class, 0));
 BA.debugLineNum = 212;BA.debugLine="B4XPages.MainPage.skmt.ExecNonQuery(\"delete from";
Debug.ShouldStop(524288);
c_clientes._b4xpages.runMethod(false,"_mainpage" /*RemoteObject*/ ,__ref.getField(false, "ba")).getField(false,"_skmt" /*RemoteObject*/ ).runVoidMethod ("ExecNonQuery",(Object)(RemoteObject.createImmutable("delete from CUENTAA")));
 BA.debugLineNum = 213;BA.debugLine="B4XPages.MainPage.skmt.ExecNonQuery2(\"INSERT INT";
Debug.ShouldStop(1048576);
c_clientes._b4xpages.runMethod(false,"_mainpage" /*RemoteObject*/ ,__ref.getField(false, "ba")).getField(false,"_skmt" /*RemoteObject*/ ).runVoidMethod ("ExecNonQuery2",(Object)(BA.ObjectToString("INSERT INTO CUENTAA VALUES (?)")),(Object)(c_clientes.__c.runMethod(false, "ArrayToList", (Object)(RemoteObject.createNewArray("Object",new int[] {1},new Object[] {(__ref.getField(false,"_s" /*RemoteObject*/ ).runMethod(true,"GetString",(Object)(RemoteObject.createImmutable("CAT_CL_CODIGO"))))})))));
 BA.debugLineNum = 214;BA.debugLine="s.Close";
Debug.ShouldStop(2097152);
__ref.getField(false,"_s" /*RemoteObject*/ ).runVoidMethod ("Close");
 BA.debugLineNum = 216;BA.debugLine="B4XPages.ShowPage(\"clientes\")";
Debug.ShouldStop(8388608);
c_clientes._b4xpages.runVoidMethod ("_showpage" /*RemoteObject*/ ,__ref.getField(false, "ba"),(Object)(RemoteObject.createImmutable("clientes")));
 }else {
 BA.debugLineNum = 218;BA.debugLine="Msgbox(\"CODIGO \" & CODIGO & \" NO ENCONTRADO\",\"AV";
Debug.ShouldStop(33554432);
c_clientes.__c.runVoidMethodAndSync ("Msgbox",(Object)(BA.ObjectToCharSequence(RemoteObject.concat(RemoteObject.createImmutable("CODIGO "),__ref.getField(true,"_codigo" /*RemoteObject*/ ),RemoteObject.createImmutable(" NO ENCONTRADO")))),(Object)(BA.ObjectToCharSequence(RemoteObject.createImmutable("AVISO"))),__ref.getField(false, "ba"));
 };
 BA.debugLineNum = 220;BA.debugLine="End Sub";
Debug.ShouldStop(134217728);
return RemoteObject.createImmutable("");
}
catch (Exception e) {
			throw Debug.ErrorCaught(e);
		} 
finally {
			Debug.PopSubsStack();
		}}
}